Package org.springframework.security.config.annotation.web.configurers

# Class ExpressionUrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer<C,H>
org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer<ExpressionUrlAuthorizationConfigurer<H>,H>
org.springframework.security.config.annotation.web.configurers.ExpressionUrlAuthorizationConfigurer<H>

Type Parameters:
  `H` - the type of `HttpSecurityBuilder` that is being configured

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,H>`

@Deprecated public final class ExpressionUrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>> extends AbstractInterceptUrlConfigurer<ExpressionUrlAuthorizationConfigurer<H>,H>
Deprecated.
Use `AuthorizeHttpRequestsConfigurer` instead
Adds URL based authorization based upon SpEL expressions to an application. At least one `RequestMapping` needs to be mapped to `ConfigAttribute`'s for this `SecurityContextConfigurer` to have meaning.

## Security Filters

The following Filters are populated

- `FilterSecurityInterceptor`

## Shared Objects Created

The following shared objects are populated to allow other `SecurityConfigurer`'s to customize:

- `FilterSecurityInterceptor`

## Shared Objects Used

- `AuthenticationTrustResolver` is optionally used to populate the `DefaultWebSecurityExpressionHandler`

Since:
  3.2
See Also:
  - `HttpSecurity.authorizeRequests()`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ExpressionUrlAuthorizationConfigurer.AuthorizedUrl`
Deprecated.
`final class`
`ExpressionUrlAuthorizationConfigurer.ExpressionInterceptUrlRegistry`
Deprecated.

## Nested classes/interfaces inherited from class org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer

`AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry<R extends AbstractInterceptUrlConfigurer<C,H>.AbstractInterceptUrlRegistry<R,T>,T>`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionUrlAuthorizationConfigurer(org.springframework.context.ApplicationContext context)`
Deprecated.
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry`
`getRegistry()`
Deprecated.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer

`configure`

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer

`disable, getSecurityContextHolderStrategy, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionUrlAuthorizationConfigurer

public ExpressionUrlAuthorizationConfigurer(org.springframework.context.ApplicationContext context)
Deprecated.
Creates a new instance

See Also:
  - `HttpSecurity.authorizeRequests()`

## Method Details

### getRegistry

public ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry getRegistry()
Deprecated.